package com.lanren.huhu.partner.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName(value = "user_info")
public class UserInfo implements Serializable {
     @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;

    /**
     * 10普通用户,20代理商
     */
    @TableField(value = "user_type")
    private Integer userType;

    @TableField(value = "user_name")
    private String userName;

    @TableField(value = "user_phone")
    private String userPhone;

    /**
     * 用户头像
     */
    @TableField(value = "user_avatar")
    private String userAvatar;

    /**
     * 用户性别 0未知10男20女30保密
     */
    @TableField(value = "user_gender")
    private Integer userGender;

    /**
     * 代理商ID
     */
    @TableField(value = "agent_id")
    private Integer agentId;

    @TableField(value = "pid")
    private String pid;

    @TableField(value = "jd_pid")
    private String jdPid;

    @TableField(value = "invite_code")
    private String inviteCode;

    /**
     * 邀请类型 默认0无邀请 ，10邀请码邀请 20绑卡邀请
     */
    @TableField(value = "invite_type")
    private Integer inviteType;

    /**
     * 今天签到状态
     */
    @TableField(value = "today_sign_status")
    private Integer todaySignStatus;

    @TableField(value = "parent_agent_list")
    private String parentAgentList;

    /**
     * 默认是 1、APP注册，2、邀请H5注册，3、wasair广告
     */
    @TableField(value = "register_from")
    private Integer registerFrom;

    /**
     * 注册时间
     */
    @TableField(value = "register_time")
    private Date registerTime;

    /**
     * 合伙人等级  默认0 普通10 高级20 代理商默认超级
     */
    @TableField(value = "partner_level")
    private Integer partnerLevel;

    /**
     * 激活状态
     */
    @TableField(value = "is_active")
    private Integer isActive;

    /**
     * 激活时间
     */
    @TableField(value = "active_time")
    private Date activeTime;

    /**
     * 邀请者id 直接邀请人用户id
     */
    @TableField(value = "invite_user_id")
    private Integer inviteUserId;

    /**
     * 间接邀请人id:直接邀请人的上级
     */
    @TableField(value = "indirect_invite_uid")
    private Integer indirectInviteUid;

    /**
     * 直接邀请用户数量
     */
    @TableField(value = "direct_num")
    private Integer directNum;

    /**
     * 间接邀请用户数量
     */
    @TableField(value = "indirect_num")
    private Integer indirectNum;

    @TableField(value = "created_at")
    private Integer createdAt;

    @TableField(value = "updated_at")
    private Integer updatedAt;

    @TableField(value = "deleted_at")
    private Integer deletedAt;

    private static final long serialVersionUID = 1L;

    public static final String COL_USER_TYPE = "user_type";

    public static final String COL_USER_NAME = "user_name";

    public static final String COL_USER_PHONE = "user_phone";

    public static final String COL_USER_AVATAR = "user_avatar";

    public static final String COL_USER_GENDER = "user_gender";

    public static final String COL_AGENT_ID = "agent_id";

    public static final String COL_PID = "pid";

    public static final String COL_JD_PID = "jd_pid";

    public static final String COL_INVITE_CODE = "invite_code";

    public static final String COL_INVITE_TYPE = "invite_type";

    public static final String COL_TODAY_SIGN_STATUS = "today_sign_status";

    public static final String COL_PARENT_AGENT_LIST = "parent_agent_list";

    public static final String COL_REGISTER_FROM = "register_from";

    public static final String COL_REGISTER_TIME = "register_time";

    public static final String COL_PARTNER_LEVEL = "partner_level";

    public static final String COL_IS_ACTIVE = "is_active";

    public static final String COL_ACTIVE_TIME = "active_time";

    public static final String COL_INVITE_USER_ID = "invite_user_id";

    public static final String COL_INDIRECT_INVITE_UID = "indirect_invite_uid";

    public static final String COL_DIRECT_NUM = "direct_num";

    public static final String COL_INDIRECT_NUM = "indirect_num";

    public static final String COL_CREATED_AT = "created_at";

    public static final String COL_UPDATED_AT = "updated_at";

    public static final String COL_DELETED_AT = "deleted_at";
}